LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Typedefs | Functions
cppu::helper::purpenv Namespace Reference

## Typedefs
typedef void | ProbeFun(bool pre, void *pThis, void *pContext, typelib_TypeDescriptionReference *pReturnTypeRef, typelib_MethodParameter *pParams, sal_Int32 nParams, typelib_TypeDescription const *pMemberType, void *pReturn, void *pArgs[], uno_Any **ppException)
| C++ helper for implementing Purpose Environments. More...

## Functions
PURPENV_DLLPUBLIC void | Environment_initWithEnterable (uno_Environment *pEnvironment, cppu::Enterable *pEnterable)
| C++ helper for implementing Purpose Environments. More...
PURPENV_DLLPUBLIC void | createMapping (uno_Mapping **ppMapping, uno_Environment *pFrom, uno_Environment *pTo, ProbeFun *probeFun=NULL, void *pContext=NULL)

## Typedef Documentation

## ◆ ProbeFun

typedef void cppu::helper::purpenv::ProbeFun(bool pre, void *pThis, void *pContext, typelib_TypeDescriptionReference *pReturnTypeRef, typelib_MethodParameter *pParams, sal_Int32 nParams, typelib_TypeDescription const *pMemberType, void *pReturn, void *pArgs[], uno_Any **ppException)

C++ helper for implementing Purpose Environments.

(http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Purpose_Bridge_Implementation_Helper)

Since
  UDK 3.2.7

## Function Documentation

## ◆ createMapping()

PURPENV_DLLPUBLIC void cppu::helper::purpenv::createMapping | ( | uno_Mapping ** | ppMapping,
|  | uno_Environment * | pFrom,
|  | uno_Environment * | pTo,
|  | ProbeFun * | probeFun = `NULL`,
|  | void * | pContext = `NULL`
| ) |  |

## ◆ Environment_initWithEnterable()

PURPENV_DLLPUBLIC void cppu::helper::purpenv::Environment_initWithEnterable | ( | uno_Environment * | pEnvironment,
|  | cppu::Enterable * | pEnterable
| ) |  |

C++ helper for implementing Purpose Environments.

(http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Purpose_Bridge_Implementation_Helper)

Since
  UDK 3.2.7